org.apache.http.client

## Interface AuthCache

- All Known Implementing Classes:
    BasicAuthCache

      public interface AuthCache

  Abstract `AuthScheme` cache. Initialized `AuthScheme` objects from this cache can be used to preemptively authenticate against known hosts.
  Since:
    4.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `AuthScheme` | `get(org.apache.http.HttpHost host)`
    `void` | `put(org.apache.http.HttpHost host, AuthScheme authScheme)`
    `void` | `remove(org.apache.http.HttpHost host)`

- - ### Method Detail

    - #### put

          void put(org.apache.http.HttpHost host,
                 AuthScheme authScheme)

    - #### get

          AuthScheme get(org.apache.http.HttpHost host)

    - #### remove

          void remove(org.apache.http.HttpHost host)

    - #### clear

          void clear()

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.